import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class JPADAO {
  EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  EntityManager em = emf.createEntityManager();

  public void create() {
    em.getTransaction().begin();
    em.persist(new Student());
    em.flush();
    em.persist(new Student());
    em.flush();
    em.getTransaction().commit();
  }

  public void search() {
    Query q = em.createQuery("select m from Student m");
    for (Student m : (List<Student>) q.getResultList()) {
      System.out.println(m.getName() + " (Birthday: " + m.getDateOfBirth() + ")");
    }
  }

  public void close() {
    em.close();
    emf.close();
  }
}
